## PDS enumerations and flags

PDS enumerations and flags

## Functions

const gchar * | qmi_pds_operation_mode_get_string ()
const gchar * | qmi_pds_position_session_status_get_string ()
gchar * | qmi_pds_data_valid_build_string_from_mask ()
const gchar * | qmi_pds_tracking_session_state_get_string ()
const gchar * | qmi_pds_operating_mode_get_string ()
const gchar * | qmi_pds_network_mode_get_string ()

## Types and Values

enum | QmiPdsOperationMode
enum | QmiPdsPositionSessionStatus
enum | QmiPdsDataValid
enum | QmiPdsTrackingSessionState
enum | QmiPdsOperatingMode
enum | QmiPdsNetworkMode

## Object Hierarchy

        GEnum
        ├── QmiPdsNetworkMode
        ├── QmiPdsOperatingMode
        ├── QmiPdsOperationMode
        ├── QmiPdsPositionSessionStatus
        ╰── QmiPdsTrackingSessionState
        GFlags
        ╰── QmiPdsDataValid

## Description

This section defines enumerations and flags used in the PDS service interface.

## Functions

### qmi_pds_operation_mode_get_string ()

    const gchar *
    qmi_pds_operation_mode_get_string (QmiPdsOperationMode val);

Gets the nickname string for the QmiPdsOperationMode specified at `val` .

#### Parameters

val | a QmiPdsOperationMode. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.0

### qmi_pds_position_session_status_get_string ()

    const gchar *
    qmi_pds_position_session_status_get_string
                                   (QmiPdsPositionSessionStatus val);

Gets the nickname string for the QmiPdsPositionSessionStatus specified at `val` .

#### Parameters

val | a QmiPdsPositionSessionStatus. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.0

### qmi_pds_data_valid_build_string_from_mask ()

    gchar *
    qmi_pds_data_valid_build_string_from_mask
                                   (QmiPdsDataValid mask);

Builds a string containing a comma-separated list of nicknames for each QmiPdsDataValid in `mask` .

#### Parameters

mask | bitmask of QmiPdsDataValid values. |

#### Returns

a string with the list of nicknames, or `NULL` if none given. The returned value should be freed with `g_free()`.

[transfer full]

### qmi_pds_tracking_session_state_get_string ()

    const gchar *
    qmi_pds_tracking_session_state_get_string
                                   (QmiPdsTrackingSessionState val);

Gets the nickname string for the QmiPdsTrackingSessionState specified at `val` .

#### Parameters

val | a QmiPdsTrackingSessionState. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.0

### qmi_pds_operating_mode_get_string ()

    const gchar *
    qmi_pds_operating_mode_get_string (QmiPdsOperatingMode val);

Gets the nickname string for the QmiPdsOperatingMode specified at `val` .

#### Parameters

val | a QmiPdsOperatingMode. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.12

### qmi_pds_network_mode_get_string ()

    const gchar *
    qmi_pds_network_mode_get_string (QmiPdsNetworkMode val);

Gets the nickname string for the QmiPdsNetworkMode specified at `val` .

#### Parameters

val | a QmiPdsNetworkMode. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.12

## Types and Values

### enum QmiPdsOperationMode

Operation mode used to compute the position.

#### Members

QMI_PDS_OPERATION_MODE_UNKNOWN | Unknown (position not fixed yet). |
QMI_PDS_OPERATION_MODE_STANDALONE | Standalone. |
QMI_PDS_OPERATION_MODE_MS_BASED | MS based. |
QMI_PDS_OPERATION_MODE_MS_ASSISTED | MS assisted. |

Since: 1.0

### enum QmiPdsPositionSessionStatus

Status of the positioning session.

#### Members

QMI_PDS_POSITION_SESSION_STATUS_SUCCESS | Success. |
QMI_PDS_POSITION_SESSION_STATUS_IN_PROGRESS | In progress. |
QMI_PDS_POSITION_SESSION_STATUS_GENERAL_FAILURE | General failure. |
QMI_PDS_POSITION_SESSION_STATUS_TIMEOUT | Timeout. |
QMI_PDS_POSITION_SESSION_STATUS_USER_ENDED_SESSION | User ended session. |
QMI_PDS_POSITION_SESSION_STATUS_BAD_PARAMETER | Bad parameter. |
QMI_PDS_POSITION_SESSION_STATUS_PHONE_OFFLINE | Phone is offline. |
QMI_PDS_POSITION_SESSION_STATUS_ENGINE_LOCKED | Engine locked. |
QMI_PDS_POSITION_SESSION_STATUS_E911_SESSION_IN_PROGRESS | Emergency call in progress. |

Since: 1.0

### enum QmiPdsDataValid

Flags to indicate which position data parameters are valid.

#### Members

QMI_PDS_DATA_VALID_TIMESTAMP_CALENDAR | Timestamp calendar (GPS time). |
QMI_PDS_DATA_VALID_TIMESTAMP_UTC | Timestamp (UTC). |
QMI_PDS_DATA_VALID_LEAP_SECONDS | Leap seconds. |
QMI_PDS_DATA_VALID_TIME_UNCERTAINTY | Time uncertainty. |
QMI_PDS_DATA_VALID_LATITUDE | Latitude. |
QMI_PDS_DATA_VALID_LONGITUDE | Longitude. |
QMI_PDS_DATA_VALID_ELLIPSOID_ALTITUDE | Ellipsoid altitude. |
QMI_PDS_DATA_VALID_MEAN_SEA_LEVEL_ALTITUDE | Mean sea level altitude. |
QMI_PDS_DATA_VALID_HORIZONTAL_SPEED | Horizontal speed. |
QMI_PDS_DATA_VALID_VERTICAL_SPEED | Vertical speed. |
QMI_PDS_DATA_VALID_HEADING | Heading. |
QMI_PDS_DATA_VALID_HORIZONTAL_UNCERTAINTY_CIRCULAR | Horizontal uncertainty circular. |
QMI_PDS_DATA_VALID_HORIZONTAL_UNCERTAINTY_ELLIPSE_SEMI_MAJOR | Horizontal uncertainty ellipse semi-major. |
QMI_PDS_DATA_VALID_HORIZONTAL_UNCERTAINTY_ELLIPSE_SEMI_MINOR | Horizontal uncertainty ellipse semi-minor. |
QMI_PDS_DATA_VALID_HORIZONTAL_UNCERTAINTY_ELLIPSE_ORIENT_AZIMUTH | Horizontal uncertainty ellipse orient azimuth. |
QMI_PDS_DATA_VALID_VERTICAL_UNCERTAINTY | Vertical uncertainty. |
QMI_PDS_DATA_VALID_HORIZONTAL_VELOCITY_UNCERTAINTY | Horizontal velocity uncertainty. |
QMI_PDS_DATA_VALID_VERTICAL_VELOCITY_UNCERTAINTY | Vertical velocity uncertainty. |
QMI_PDS_DATA_VALID_HORIZONTAL_CONFIDENCE | Horizontal confidence. |
QMI_PDS_DATA_VALID_POSITION_DOP | Position dillution of precision. |
QMI_PDS_DATA_VALID_HORIZONTAL_DOP | Horizontal dillution of precision. |
QMI_PDS_DATA_VALID_VERTICAL_DOP | Vertical dillution of precision. |
QMI_PDS_DATA_VALID_OPERATING_MODE | Operating mode. |

Since: 1.0

### enum QmiPdsTrackingSessionState

State of the tracking session.

#### Members

QMI_PDS_TRACKING_SESSION_STATE_UNKNOWN | Unknown state. |
QMI_PDS_TRACKING_SESSION_STATE_INACTIVE | Session inactive. |
QMI_PDS_TRACKING_SESSION_STATE_ACTIVE | Session active. |

Since: 1.0

### enum QmiPdsOperatingMode

GPS operating mode.

#### Members

QMI_PDS_OPERATING_MODE_STANDALONE | Standalone (GPS only). |
QMI_PDS_OPERATING_MODE_MS_BASED | MS-based. |
QMI_PDS_OPERATING_MODE_MS_ASSISTED | MS-assisted (A-GPS). |

Since: 1.12

### enum QmiPdsNetworkMode

Network mode used during the A-GPS setup.

#### Members

QMI_PDS_NETWORK_MODE_UMTS | UMTS. |
QMI_PDS_NETWORK_MODE_CDMA | CDMA. |

Since: 1.12